Search User by ID
This method returns the user that matches the entered ID.
Authorizations
X-Ledger-API-KeystringRequired
If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.
X-Ledger-API-UserstringRequired
(required) Username of a registered API User
Path parameters
user_idintegerRequired
The user's ID.
Responses
200
User object
application/json
created_byintegerRequiredExample:
5created_onstring · date-timeRequired
idintegerRequired
is_apibooleanRequiredExample:
falsekey_handlestring · nullableOptionalDefault:
nullExample: 7920380c812ab0b752b5f04a2561a736f136d9937af542bce149bad075ee25f60f21dad3fa9a8a88bc3fa80a360b3680bb7e1ef6179701e41f9d90fd5f6b475dlast_requestinteger · nullableOptionalDefault:
nullExample: 2pub_keystring · nullableOptionalDefault:
nullExample: 040BAE7B34D9AB3056D575128F24B42D09705FF9CFCD860790DF8147D45888E4C8C9C19AE837298C45CBC595152EA5F43788431F6B4C0017030351C05F6C505FCAroleone ofRequiredExample:
OPERATORstring · enumOptionalPossible values:
statusone ofRequiredExample:
ACTIVEstring · enumOptionalPossible values:
user_idstring · nullableOptionalDefault:
nullExample: 5CA88C5165CF3640usernamestringRequiredExample:
operator1404
User not found
application/json
get/users/{user_id}
GET /users/{user_id} HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
"created_by": 5,
"created_on": "2026-01-01T00:00:00.000Z",
"id": 1,
"is_api": false,
"key_handle": "7920380c812ab0b752b5f04a2561a736f136d9937af542bce149bad075ee25f60f21dad3fa9a8a88bc3fa80a360b3680bb7e1ef6179701e41f9d90fd5f6b475d",
"last_request": 2,
"pub_key": "040BAE7B34D9AB3056D575128F24B42D09705FF9CFCD860790DF8147D45888E4C8C9C19AE837298C45CBC595152EA5F43788431F6B4C0017030351C05F6C505FCA",
"role": "OPERATOR",
"status": "ACTIVE",
"user_id": "5CA88C5165CF3640",
"username": "operator1"
}Last updated